curl --request POST \
--url https://api.example.com/api/agent/deployments/{deploymentId}/issue_filters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"filter": {
"ids": [
"<string>"
],
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"repositoryNames": [
"<string>"
],
"repositoryIds": [
"<string>"
],
"repositoryTags": [
"<string>"
],
"refs": [
"<string>"
],
"repositoryRefIds": [
"<string>"
],
"aiSensitivities": [
"<string>"
],
"teamNames": [
"<string>"
],
"policySlugs": [
"<string>"
],
"rules": [
"<string>"
],
"ruleIds": [
"<string>"
],
"rulesets": [
"<string>"
],
"categories": [
"<string>"
],
"dependencies": [
"<string>"
],
"cves": [
"<string>"
],
"issueParentIds": [
"<string>"
],
"secretTypes": [
"<string>"
],
"excludeHistorical": true,
"onPrimaryBranch": true,
"includeTicketed": true,
"aiMemoryWillFlipVerdict": "<string>",
"aiMemoryReferenced": "<string>",
"includeAiMemoryRendered": true,
"aiMemoryRendered": "<string>",
"memoryIdInScope": "<string>",
"advisoryIds": [
"<string>"
],
"filePaths": [
"<string>"
],
"includeArchived": true
}
}
'import requests
url = "https://api.example.com/api/agent/deployments/{deploymentId}/issue_filters"
payload = {
"deploymentId": "<string>",
"filter": {
"ids": ["<string>"],
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"repositoryNames": ["<string>"],
"repositoryIds": ["<string>"],
"repositoryTags": ["<string>"],
"refs": ["<string>"],
"repositoryRefIds": ["<string>"],
"aiSensitivities": ["<string>"],
"teamNames": ["<string>"],
"policySlugs": ["<string>"],
"rules": ["<string>"],
"ruleIds": ["<string>"],
"rulesets": ["<string>"],
"categories": ["<string>"],
"dependencies": ["<string>"],
"cves": ["<string>"],
"issueParentIds": ["<string>"],
"secretTypes": ["<string>"],
"excludeHistorical": True,
"onPrimaryBranch": True,
"includeTicketed": True,
"aiMemoryWillFlipVerdict": "<string>",
"aiMemoryReferenced": "<string>",
"includeAiMemoryRendered": True,
"aiMemoryRendered": "<string>",
"memoryIdInScope": "<string>",
"advisoryIds": ["<string>"],
"filePaths": ["<string>"],
"includeArchived": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
filter: {
ids: ['<string>'],
since: '2023-11-07T05:31:56Z',
until: '2023-11-07T05:31:56Z',
repositoryNames: ['<string>'],
repositoryIds: ['<string>'],
repositoryTags: ['<string>'],
refs: ['<string>'],
repositoryRefIds: ['<string>'],
aiSensitivities: ['<string>'],
teamNames: ['<string>'],
policySlugs: ['<string>'],
rules: ['<string>'],
ruleIds: ['<string>'],
rulesets: ['<string>'],
categories: ['<string>'],
dependencies: ['<string>'],
cves: ['<string>'],
issueParentIds: ['<string>'],
secretTypes: ['<string>'],
excludeHistorical: true,
onPrimaryBranch: true,
includeTicketed: true,
aiMemoryWillFlipVerdict: '<string>',
aiMemoryReferenced: '<string>',
includeAiMemoryRendered: true,
aiMemoryRendered: '<string>',
memoryIdInScope: '<string>',
advisoryIds: ['<string>'],
filePaths: ['<string>'],
includeArchived: true
}
})
};
fetch('https://api.example.com/api/agent/deployments/{deploymentId}/issue_filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"repoNames": [
"<string>"
],
"repoTags": [
"<string>"
],
"refs": [
"<string>"
],
"repoRefGroups": [
{
"repoName": "<string>",
"repoRefs": [
{
"id": "<string>",
"refName": "<string>",
"isPrimary": true
}
],
"hasPrimaryRef": true
}
],
"rulesetNames": [
"<string>"
],
"ruleNames": [
"<string>"
],
"categories": [
"<string>"
],
"teamNames": [
"<string>"
],
"secretTypes": [
"<string>"
],
"rules": [
{
"id": "<string>",
"name": "<string>",
"scaCve": "<string>",
"scaGhsa": "<string>"
}
],
"repos": [
{
"id": "<string>",
"name": "<string>"
}
],
"tags": [
{
"id": "<string>",
"name": "<string>"
}
]
}Get Issue Filters
Get available filter options for issues
Authorizations
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Specifies the deployment to which the issues belong.
Body
Specifies the deployment to which the issues belong.
Deprecated: use issue_types instead. Filters issues to those with the specified type. If set to ISSUE_TYPE_UNSPECIFIED, only generic filters will be returned
| value | description |
|---|---|
| ISSUE_TYPE_SAST | Detected by Code rules |
| ISSUE_TYPE_SCA | Detected by Supply Chain rules |
| ISSUE_TYPE_SECRETS | Detected by Secrets rules |
| ISSUE_TYPE_RESEARCH | Detected by research rules or scanners |
| ISSUE_TYPE_AI_SAST | Detected by AI detection code scanning |
ISSUE_TYPE_SAST, ISSUE_TYPE_SCA, ISSUE_TYPE_SECRETS, ISSUE_TYPE_RESEARCH, ISSUE_TYPE_AI_SAST Filters the issues to process.
Show child attributes
Show child attributes
Filters issues to those with any of the specified types (based on the product which produced these issues). When empty, falls back to the deprecated issue_type field for backward compatibility.
| value | description |
|---|---|
| ISSUE_TYPE_SAST | Detected by Code rules |
| ISSUE_TYPE_SCA | Detected by Supply Chain rules |
| ISSUE_TYPE_SECRETS | Detected by Secrets rules |
| ISSUE_TYPE_RESEARCH | Detected by research rules or scanners |
| ISSUE_TYPE_AI_SAST | Detected by AI detection code scanning |
ISSUE_TYPE_UNSPECIFIED, ISSUE_TYPE_SAST, ISSUE_TYPE_SCA, ISSUE_TYPE_SECRETS, ISSUE_TYPE_RESEARCH, ISSUE_TYPE_AI_SAST Response
OK
Applies to all issue types. Deprecated, migrate to repos
Applies to all issue types. Deprecated, migrate to tags
Applies to all issue types
Applies to all issue types
Show child attributes
Show child attributes
Applies to SAST issues only.
Applies to SAST issues only. Deprecated, migrate to rules instead.
Applies to SAST issues only.
Applies to all issue types
Applies to Secrets issues only
Applies to all issue types. Corresponds to the rule_id filter, but provides extra information for display.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?